Bug 1000427 - can't activate tertiary display
can't activate tertiary display
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 08:36 EDT by Karel Volný
Modified: 2016-12-20 07:41 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:41:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2013-08-23 08:36:54 EDT
Description of problem:
After attaching second external monitor to my laptop's docking station, I can't get it working. The monitor says that the digital input is in powersave mode, playing with xrandr fails with "xrandr: Configure crtc 2 failed"

Version-Release number of selected component (if applicable):
kernel-3.10.7-200.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. get Lenovo T530 with dock and two monitors
2. connect and power on them all
3. boot Fedora

Actual results:
only the laptop internal panel and one of the monitors are on, the second monitor is off (powersave)

Expected results:
all three displays are on

Additional info:
$ dmesg | grep drm
[    1.906309] [drm] Initialized drm 1.1.0 20060810
[    1.921940] [drm] Memory usable by graphics device = 2048M
[    1.943122] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    1.943123] [drm] Driver supports precise vblank timestamp query.
[    2.041570] [drm] GMBUS [i915 gmbus dpb] timed out, falling back to bit banging on pin 5
[    2.154581] fbcon: inteldrmfb (fb0) is primary device
[    3.172950] [drm:intel_crtc_set_config] *ERROR* failed to set mode on [CRTC:7], err = -22
[    3.173035] [drm:intel_crtc_set_config] *ERROR* failed to set mode on [CRTC:7], err = -22
[    3.177992] [drm:intel_crtc_set_config] *ERROR* failed to set mode on [CRTC:7], err = -22
[    3.182966] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    3.197218] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[    3.197488] [drm:intel_crtc_set_config] *ERROR* failed to set mode on [CRTC:7], err = -22
[    3.197610] [drm:intel_crtc_set_config] *ERROR* failed to set mode on [CRTC:7], err = -22
[    3.718331] [drm] Enabling RC6 states: RC6 on, RC6p on, RC6pp off
[  114.433612] [drm:intel_crtc_set_config] *ERROR* failed to set mode on [CRTC:7], err = -22


note there is the bug #753050 which may be related, but unlike in that one, my machine does not freeze

also, bug #753050 is reported for xorg-x11-drv-intel but my problem appears much earlier, before X is started
Comment 1 Fedora End Of Life 2015-01-09 14:34:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:53:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Karel Volný 2015-02-18 09:33:51 EST
still valid

$ xrandr                                                                                                                                                                                                                    
Screen 0: minimum 8 x 8, current 5520 x 3300, maximum 32767 x 32767                                                                                                                                                                          
LVDS1 connected primary 1920x1080+0+2220 (normal left inverted right x axis y axis) 344mm x 193mm                                                                                                                                            
   1920x1080     60.02*+  50.03                                                                                                                                                                                                              
   1400x1050     59.98                                                                                                                                                                                                                       
   1280x1024     60.02                                                                                                                                                                                                                       
   1280x960      60.00                                                                                                                                                                                                                       
   1024x768      60.00                                                                                                                                                                                                                       
   800x600       60.32    56.25                                                                                                                                                                                                              
   640x480       59.94                                                                                                                                                                                                                       
DP1 disconnected (normal left inverted right x axis y axis)                                                                                                                                                                                  
DP2 disconnected (normal left inverted right x axis y axis)                                                                                                                                                                                  
DP3 disconnected (normal left inverted right x axis y axis)                                                                                                                                                                                  
HDMI1 disconnected (normal left inverted right x axis y axis)                                                                                                                                                                                
HDMI2 connected 1680x1050+3840+2220 (normal left inverted right x axis y axis) 474mm x 296mm                                                                                                                                                 
   1680x1050     59.88*+  59.95                                                                                                                                                                                                              
   1920x1080     60.00    50.00    59.94                                                                                                                                                                                                     
   1920x1080i    60.00    50.00    59.94                                                                                                                                                                                                     
   1280x1024     60.02  
   1280x960      60.00  
   1152x864      59.97  
   1280x720      60.00    50.00    59.94  
   1024x768      60.00  
   800x600       60.32  
   720x576       50.00  
   720x480       60.00    59.94  
   640x480       60.00    59.94  
HDMI3 connected (normal left inverted right x axis y axis)
   1920x1080     60.00 +  50.00    59.94  
   1600x1200     60.00  
   1680x1050     59.88  
   1280x1024     75.02    60.02  
   1440x900      74.98    59.90  
   1280x960      60.00  
   1280x800      59.91  
   1152x864      75.00  
   1280x720      60.00    50.00    59.94  
   1024x768      75.08    70.07    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   720x576       50.00  
   720x480       60.00    59.94  
   640x480       75.00    72.81    66.67    60.00    59.94  
   720x400       70.08  
VGA1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
$ xrandr --auto
xrandr: Configure crtc 2 failed


the third monitor in this test has been correctly identified as Samsung in KDE display properties, however it remains grayed out and itself it says no signal
Comment 4 Fedora End Of Life 2015-11-04 08:32:39 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Karel Volný 2015-11-06 09:02:48 EST
$ xrandr --auto
xrandr: Configure crtc 2 failed
$ rpm -q xorg-x11-drv-intel
xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64
Comment 6 Fedora End Of Life 2016-11-24 06:02:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 07:41:37 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.